#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int INF = 1e9;
const int N = 1e5 + 10;
int main()
{
	freopen(".in", "r", "stdin");
	freopen(".out", "w", "stdout");
	cin.tie(0), cout.tie(0);
	ios::sync_with_stdio(0);
	cout << pow(4, 7) * pow(3, 2);
	return 0;
}
